gi-gdkpixbuf-2.0.32: GdkPixbuf bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GdkPixbuf.Objects.PixbufNonAnim

Contents

- Exported types
- Methods
  - new

Description

No description available in the introspection data.

Synopsis

- newtype PixbufNonAnim = PixbufNonAnim (ManagedPtr PixbufNonAnim)
- class (GObject o, IsDescendantOf PixbufNonAnim o) => IsPixbufNonAnim o
- toPixbufNonAnim :: (MonadIO m, IsPixbufNonAnim o) => o -> m PixbufNonAnim
- pixbufNonAnimNew :: (HasCallStack, MonadIO m, IsPixbuf a) => a -> m PixbufNonAnim

# Exported types

newtype PixbufNonAnim Source #

Memory-managed wrapper type.

Constructors

PixbufNonAnim (ManagedPtr PixbufNonAnim) |

#### Instances

Instances details

Eq PixbufNonAnim Source # |
Instance details Defined in GI.GdkPixbuf.Objects.PixbufNonAnim Methods (==) :: PixbufNonAnim -> PixbufNonAnim -> Bool Source # (/=) :: PixbufNonAnim -> PixbufNonAnim -> Bool Source #
GObject PixbufNonAnim Source # |
Instance details Defined in GI.GdkPixbuf.Objects.PixbufNonAnim
ManagedPtrNewtype PixbufNonAnim Source # |
Instance details Defined in GI.GdkPixbuf.Objects.PixbufNonAnim Methods toManagedPtr :: PixbufNonAnim -> ManagedPtr PixbufNonAnim Source #
TypedObject PixbufNonAnim Source # |
Instance details Defined in GI.GdkPixbuf.Objects.PixbufNonAnim Methods glibType :: IO GType Source #
HasParentTypes PixbufNonAnim Source # |
Instance details Defined in GI.GdkPixbuf.Objects.PixbufNonAnim
IsGValue (Maybe PixbufNonAnim) Source # | Convert `PixbufNonAnim` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.GdkPixbuf.Objects.PixbufNonAnim Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe PixbufNonAnim -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe PixbufNonAnim) Source #
type ParentTypes PixbufNonAnim Source # |
Instance details Defined in GI.GdkPixbuf.Objects.PixbufNonAnim type ParentTypes PixbufNonAnim = '[PixbufAnimation, Object]

class (GObject o, IsDescendantOf PixbufNonAnim o) => IsPixbufNonAnim o Source #

Type class for types which can be safely cast to `PixbufNonAnim`, for instance with `toPixbufNonAnim`.

#### Instances

Instances details

(GObject o, IsDescendantOf PixbufNonAnim o) => IsPixbufNonAnim o Source # |
Instance details Defined in GI.GdkPixbuf.Objects.PixbufNonAnim

toPixbufNonAnim :: (MonadIO m, IsPixbufNonAnim o) => o -> m PixbufNonAnim Source #

Cast to `PixbufNonAnim`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, isStaticImage, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getHeight, getIter, getProperty, getQdata, getStaticImage, getWidth.

#### Setters

setData, setDataFull, setProperty.

## new

pixbufNonAnimNew :: (HasCallStack, MonadIO m, IsPixbuf a) => a -> m PixbufNonAnim Source #

No description available in the introspection data.